# Task scheduler

also known as `task`

## What is this?

This is a task runner/scheduler programs that will fire off various tasks. These tasks can be anything from an blog post import task to a RSS generator task. Additionally, there is task logs inside the database so that you can keep track of tasks when something goes wrong.

## Things you should know

`task` uses a `.env` file at the root of the project. The file takes standard environment variables (like enviroment variables you would put into a `.bashrc` or ad-hoc into your shell).

For `task` to work properly, please make sure to first create the `.env` file, then fill out the following environment variables:

- `DATABASE_URL` - needed for communicating to Postgres
