import { Post } from "../types/index.ts";

export const PostBody = function PostBody({ post }: PostBodyOpts) {
  return (
    <div
      class="p-6 bg-[#313244] shadow-md text-[#f5e0dc] post-content"
      dangerouslySetInnerHTML={{ __html: post.body }}
    ></div>
  );
};

export type PostBodyOpts = {
  post: Post;
};
